Get the number of tasks and the totals for each task type and each task status of each open project. An administrator gets all the open projects. Other users get the open projects of their teams.
GET
/data/tasks/open-tasks/stats
curl
curl -X GET "http://api.example.com/data/tasks/open-tasks/stats" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/tasks/open-tasks/stats"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"additionalProperty1": {
"total": 42,
"done": 42,
"estimation": 42,
"duration": 42
},
"additionalProperty2": {
"total": 42,
"done": 42,
"estimation": 42,
"duration": 42
}
}